"use client"

import { useState } from "react";

const Faq = () => {

  const [maxPage, setMaxPage] = useState<number>(5);

  const [faq, setFaq] = useState([
    {
      id: 1,
      title: 'บัตรกดเงินสด KTC PROUD ที่มีสัญลักษณ์ UnionPay สามารถใช้ทำธุรกรรมใดได้บ้าง ?',
      text: [
        'สามารถใช้ทำธุรกรรมภายในประเทศไทยตามประเภทธุรกรรม ดังต่อไปนี้',
        '1. เบิกถอนเงินสด',
        '2. รูดเพื่อชำระค่าสินค้า โดยสมาชิกสามารถผ่อนรายงวด เฉพาะร้านค้าที่ร่วมรายการ ',
        '3. รูดเพื่อชำระค่าสินค้า โดยสมาชิกสามารถชำระเต็มจำนวน หรือชำระขั้นต่ำ 3% สำหรับสมาชิกที่ได้รับบัตรที่มีสัญลักษณ์ UnionPay เท่านั้น'
      ]
    },
    {
      id: 2,
      title: 'บัตรกดเงินสด KTC PROUD อนุมัติวงเงินสูงสุดเท่าใด ?',
      text: ['KTC จะพิจารณาอนุมัติวงเงินสูงสุด 5 เท่าของรายได้ (ขั้นต่ำ 10,000 บาท สูงสุด 3,000,000 บาท)']
    },
    {
      id: 3,
      title: 'บัตรกดเงินสด KTC PROUD ต่างจากสินเชื่ออเนกประสงค์ KTC CASH อย่างไร ?',
      text: ['สินเชื่อบุคคลของ KTC มี 2 ประเภทให้เลือกสอดคล้องกับความต้องการของผู้สมัคร โดยบัตรกดเงินสด KTC PROUD เป็นสินเชื่อ',
        'ที่อนุมัติวงเงินประเภทหมุนเวียน ไว้สำรองใช้ในยามฉุกเฉิน หรือโอกาสพิเศษต่างๆ เมื่อได้รับอนุมัติจะได้รับเงินก้อนแรกโอน',
        'เข้าบัญชีธนาคารที่คุณเลือก และได้รับบัตรเพื่อใช้ในการเบิกถอนเงินสดสำหรับวงเงินส่วนที่เหลือที่ ATM ซึ่งทุกครั้งที่เบิกถอน',
        'เงินสดจะมีการคิดดอกเบี้ยและค่าธรรมเนียมการใช้วงเงิน และเมื่อผ่อนชำระคืน วงเงินจะตีกลับให้สามารถเบิกถอนได้',
        '&nbsp;',
        'ส่วนสินเชื่ออเนกประสงค์ KTC CASH เป็นสินเชื่อที่อนุมัติวงเงินและโอนครั้งเดียวให้ในบัญชีธนาคารที่ผู้สมัครต้องการ',
        'ผู้สมัครสามารถใช้เงินก้อนนั้นๆ ในการจัดการกับวัตถุประสงค์ต่างๆ ได้ โดยจะได้รับเงินหลังจากอนุมัติภายใน 2 วันทำการ',
        'สินเชื่อแบบนี้ไม่มีบัตรกดเงินสดออกให้สำหรับใช้กดเงินสำรองยามฉุกเฉิน และเมื่อผ่อนชำระวงเงินจะไม่ตีกลับให้สามารถใช้ได้อีก']
    },
    {
      id: 4,
      title: 'จะชำระค่างวดบัตรกดเงินสด KTC PROUD ได้ที่ช่องทางการชำระเงินใดได้บ้าง ?',
      text: ['อ่านรายละเอียดได้จาก <a style="color: rgb(2 132 199);text-decoration: underline; " href="https://www.ktc.co.th/support/payment-channel/loan/ktb">ช่องทางการชำระเงินของ KTC PROUD</a>']
    },
    {
      id: 5,
      title: 'กรณีที่มีบัตรเครดิตหรือบริการอื่น ๆ กับ KTC อยู่แล้ว จะสามารถขอสมัครบัตรกดเงินสด KTC PROUD ได้หรือไม่ อย่างไร ?',
      text: ['คุณสามารถสมัครบัตรกดเงินสด KTC PROUD ได้ โดยสมัครที่ <a style="color: rgb(2 132 199);text-decoration: underline; " href="https://www.ktc.co.th/contact/branch">KTC TOUCH</a>  หรือสมัครผ่านตัวแทนขายของบริษัทฯ', 'หากมีสินเชื่ออเนกประสงค์ KTC CASH ไม่ว่าจะเป็นประเภทใดอยู่ก่อนหน้า กรณีที่ได้รับอนุมัติบัตรกดเงินสด KTC PROUD', 'จะพิจารณาวงเงินรวมทั้งหมดไม่เกิน 5 เท่าของรายได้ ทั้งนี้ลูกค้าต้องมีสมาชิกภาพสินเชื่ออเนกประสงค์ KTC CASH เป็นระยะเวลามากกว่า 6 เดือน']
    },
    {
      id: 6,
      title: 'เมื่อสมัครบัตรกดเงินสด KTC PROUD จะสามารถทราบผลการอนุมัติภายในกี่วัน ?',
      text: ['KTC จะใช้เวลาประมาณ 5 วันทำการ ในการพิจารณา ทั้งนี้ขึ้นอยู่กับเอกสารและหลักฐานประกอบคำขอสินเชื่อของลูกค้าต้องเป็นไปตามที่ KTC กำหนด']
    },
    {
      id: 7,
      title: 'เมื่อสมัครบัตรกดเงินสด KTC PROUD แล้วจะทราบผลได้อย่างไร ?',
      text: ['เบื้องต้น ทาง KTC จะแจ้งผลให้ลูกค้าทราบทั้งอนุมัติ และไม่ผ่านการอนุมัติ ผ่านช่องทาง SMS']
    },
    {
      id: 8,
      title: 'เมื่อได้รับอนุมัติบัตรกดเงินสด KTC PROUD จะได้รับบัตรฯ ภายในระยะเวลากี่วัน ?',
      text: ['จะได้รับเงินสดก้อนแรกโอนเข้าบัญชีธนาคารที่ผู้สมัครเลือกภายใน 1 วันทำการหลังอนุมัติ ส่วนบัตรกดเงินสด KTC PROUD นั้น', 'กรณีกรุงเทพฯ และปริมณฑล จะได้รับบัตรฯ ประมาณ 7 วันทำการ (หรือประมาณ 1 สัปดาห์) และต่างจังหวัดประมาณ 15 วันทำการ', '(หรือประมาณ 2-3 สัปดาห์) หากไม่ได้รับบัตรฯ ในระยะเวลาที่กำหนด สามารถโทรสอบถามได้ที่ KTC PHONE 02 123 5000']
    },
    {
      id: 9,
      title: 'จะเลือกระยะเวลาผ่อนชำระได้กี่เดือน สำหรับบัตรกดเงินสด KTC PROUD ?',
      text: ['บัตรกดเงินสด KTC PROUD ไม่ได้มีกำหนดระยะเวลาผ่อนชำระเหมือนสินเชื่ออเนกประสงค์ KTC CASH',
        'ลูกค้าจะผ่อนชำระเต็มจำนวนที่เบิกถอนเงินสด หรือผ่อนชำระขั้นต่ำ 3% ',
        '&nbsp;',
        'สำหรับวงเงินก้อนแรกที่โอนผ่านบัญชีธนาคาร ก็จะผ่อนขั้นต่ำ 3%']
    },
    {
      id: 10,
      title: 'ขอทราบเหตุผล กรณีที่ไม่อนุมัติบัตรกดเงินสด KTC PROUD ?',
      text: ['KTC ได้พิจารณาข้อมูลและหลักฐานประกอบคำขอสินเชื่อของผู้สมัคร และพบว่าไม่ผ่านหลักเกณฑ์หรือคุณสมบัติตามที่บริษัทฯ กำหนด']
    },
    {
      id: 11,
      title: 'คนต่างชาติที่อาศัยอยู่ในประเทศไทย สามารถสมัครบัตรกดเงินสด KTC PROUD ได้หรือไม่ ?',
      text: ['KTC ไม่มีนโยบายในการให้บริการบัตรกดเงินสด KTC PROUD กับคนต่างชาติ']
    },
    {
      id: 12,
      title: 'ขอทราบหลักเกณฑ์ที่ใช้สำหรับการพิจารณาอนุมัติบัตรกดเงินสด KTC PROUD ?',
      text: ['KTC จะพิจารณาจากข้อมูลและหลักฐานประกอบคำขอสินเชื่อเป็นสำคัญ ซึ่งจะใช้นักวิเคราะห์สินเชื่อพิจารณาประกอบ']
    },
    {
      id: 13,
      title: 'ในการชำระค่างวด จะผ่อนชำระมากกว่าขั้นต่ำที่กำหนดได้หรือไม่ ?',
      text: ['สามารถทำได้ โดยชำระเต็มจำนวนก็ได้']
    },
    {
      id: 14,
      title: 'บัตรกดเงินสดที่ออกให้มีกำหนดอายุหรือไม่ ?',
      text: ['บัตรที่ได้รับมีกำหนดอายุงาน 5 ปี นับจากวันที่ออกบัตร ทาง KTC อาจออกบัตรต่ออายุให้ท่าน โดยจะจัดส่งบัตรใหม่ให้ตามที่อยู่จัดส่งใบแจ้งยอดชำระ (Statement)',
        'ของสมาชิกล่วงหน้า 1-2 เดือน ก่อนบัตรเก่าหมดอายุ อย่างไรก็ดี การพิจารณาต่ออายุบัตรหรือไม่ ถือเป็นดุลยพินิจของ KTC โดยฝ่ายเดียว', '&nbsp;', 'เมื่อท่านได้รับบัตรใหม่แล้ว ให้ท่านตัดบัตรเก่าออกเป็นสองส่วน เพื่อป้องกันการสับสนและบุคคลอื่นที่อาจนำบัตรเก่าของท่านไปใช้', 'ในกรณีที่ท่านต้องการแจ้งบอกเลิกการใช้บัตร ท่านต้องแจ้งให้ KTC ทราบผ่าน KTC PHONE 02 123 5000 เพื่อทำการยกเลิกบัตร',]
    },
    {
      id: 15,
      title: 'ในกรณีที่สมาชิกประสงค์จะชำระยอดหนี้ค้างชำระทั้งหมด ต้องทำอย่างไร ?',
      text: ['โปรดติดต่อเจ้าหน้าที่ KTC PHONE 02 123 5000 หรือ KTC TOUCH เพื่อคำนวณยอดที่ต้องชำระทั้งหมด และ/หรือปิดบัญชี ก่อนชำระเงิน']
    },
    {
      id: 16,
      title: 'บัตรกดเงินสด KTC PROUD มีลำดับการตัดชำระหนี้อย่างไร?',
      text: [
        'การกดเงินสด หรือการผ่อนชำระค่าสินค้าเป็นรายเดือน บริษัทจะนำเงินที่ได้รับชำระหนี้ ไปตัดชำระค่าธรรมเนียม ดอกเบี้ย และเงินต้นที่ค้างชำระทั้งหมดตามลำดับ',
        '&nbsp;',
        'ตั้งแต่วันที่ 1 กรกฎาคม 2564 เป็นต้นไป  กรณีค้างชำระ เฉพาะรายการผ่อนชำระค่าสินค้า หรือรับเงินก้อนแล้วผ่อนชำระคืนเป็นรายงวด',
        'จะตัดชำระค่าธรรมเนียม ดอกเบี้ย และเงินต้นของยอดหนี้ในงวดที่ค้างชำระนานสุดก่อน แล้วจึงค่อยตัดชำระหนี้ที่ค้างชำระนานรองลงมาตามลำดับ (ตัดชำระหนี้แบบแนวนอน)']
    },
  ])

  const [selected, setSelected] = useState<number[]>([])

  const onSelected = (val: number) => {
    setSelected((prevOpen: any) => {
      if (prevOpen.includes(val)) {
        return prevOpen.filter((item: any) => item !== val);
      } else {
        return [...prevOpen, val];
      }
    })
  }

  const onIncreatePage = () => {
    setMaxPage(faq.length)
  }
  const ondecreatePage = () => {
    setMaxPage(5)
  }

  return (
    <>
      <div className="relative">
        <div className="flex justify-between">
          <div className="text-2xl  fonts-bold">
            คำถามที่พบบ่อย
          </div>
        </div>

        <div className="hidden md:block" style={{ height: '24px' }}>
        </div>

        {
          faq.map((faqs) => (
            <div key={faqs.id}>
              <h2 >
                <button
                  onClick={() => onSelected(faqs.id)}
                  type="button" className="flex justify-between w-full border-b p-5 text-gray-700 border-gray-200 focus:ring-1 focus:ring-gray-200 hover:bg-gray-100 gap-3">
                  <span className="flex text-left  fonts-bold">
                    {faqs.title}
                  </span>
                  {
                    selected.includes(faqs.id) && (
                      <div className="text-blue-600 ">
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 20 20" fill="none">
                          <path d="M4.75 9.25H9.25H10.75H15.25C15.4489 9.25 15.6397 9.32902 15.7803 9.46967C15.921 9.61032 16 9.80109 16 10C16 10.1989 15.921 10.3897 15.7803 10.5303C15.6397 10.671 15.4489 10.75 15.25 10.75H10.75H9.25H4.75C4.55109 10.75 4.36032 10.671 4.21967 10.5303C4.07902 10.3897 4 10.1989 4 10C4 9.80109 4.07902 9.61032 4.21967 9.46967C4.36032 9.32902 4.55109 9.25 4.75 9.25Z" fill="#175BB3" />
                        </svg>
                      </div>

                    )
                  }
                  {
                    !selected.includes(faqs.id) && (
                      <div className="text-gray-800 ">
                        <svg xmlns="http://www.w3.org/2000/svg" width="20" height="12" viewBox="0 0 12 12" fill="none">
                          <path d="M6.75 0.75C6.75 0.551088 6.67098 0.360322 6.53033 0.21967C6.38968 0.0790175 6.19891 0 6 0C5.80109 0 5.61032 0.0790175 5.46967 0.21967C5.32902 0.360322 5.25 0.551088 5.25 0.75V5.25H0.75C0.551088 5.25 0.360322 5.32902 0.21967 5.46967C0.0790175 5.61032 0 5.80109 0 6C0 6.19891 0.0790175 6.38968 0.21967 6.53033C0.360322 6.67098 0.551088 6.75 0.75 6.75H5.25V11.25C5.25 11.4489 5.32902 11.6397 5.46967 11.7803C5.61032 11.921 5.80109 12 6 12C6.19891 12 6.38968 11.921 6.53033 11.7803C6.67098 11.6397 6.75 11.4489 6.75 11.25V6.75H11.25C11.4489 6.75 11.6397 6.67098 11.7803 6.53033C11.921 6.38968 12 6.19891 12 6C12 5.80109 11.921 5.61032 11.7803 5.46967C11.6397 5.32902 11.4489 5.25 11.25 5.25H6.75V0.75Z" fill="#5B6770" />
                        </svg>
                      </div>
                    )
                  }

                </button>
              </h2>
              <div className={`transition-container ${selected.includes(faqs.id) ? '' : 'hide'}`} >
                <div className="p-5 border-t-0 border-gray-300 text-gray-700">
                  {faqs.text.map((text, index) => (
                    text.trim() !== '' && (
                      <p key={index} className="mb-2" dangerouslySetInnerHTML={{ __html: text }}></p>
                    )
                  ))}
                </div>
              </div>
            </div>
          )).slice(0, maxPage)
        }

        <div style={{ height: '40px' }}>
        </div>

        {maxPage <= 5 && (
          <div className="flex justify-center">
            <button onClick={onIncreatePage} className="transition ease-in-out delay-200 border border-sky-700 rounded-lg px-6 py-2 focus:ring-2 focus:ring-blue-300 hover:bg-blue-50 fonts-bold text-sky-700">
              แสดงคำถามทั้งหมด
            </button>

          </div>
        )
        }
        {maxPage > 5 && (
          <div className="flex justify-center">
            <button onClick={ondecreatePage} className="transition ease-in-out delay-200 border border-sky-700  rounded-lg px-6 py-2 focus:ring-2 focus:ring-blue-300 hover:bg-blue-50 fonts-bold text-sky-700">
              ซ่อนคำถาม
            </button>

          </div>
        )
        }


      </div >
    </>
  )
}

export default Faq
